<div class="showing pull-left" *ngIf="pagingData?.count>0">
    Hiện từ {{(pagingData.current_page - 1) * perPage + 1}} đến {{(pagingData.current_page - 1) * perPage +
    pagingData.count}} của {{pagingData?.total}} dòng
</div>

<div *ngIf="pagingData?.count == 0">
    Chưa có dữ liệu hoặc không tìm thấy kết quả nào.
</div>

<ul class="pagination pull-right" *ngIf="pagingData?.total_pages > 1">
    <li *ngIf="pagingData.current_page > pagingData.numLinks">
        <a (click)="setCurrentPage(1)"><i class="fa fa-step-backward"></i></a>
    </li>
    <li *ngIf="pagingData.current_page > 1">
        <a (click)="setCurrentPage(pagingData.current_page-1)"><i class="fa fa-angle-double-left"></i></a>
    </li>

    <li *ngFor="let item of pagingData.tmpPageCount; " class="active" [class.active]="item==pagingData.current_page">
        <a *ngIf="item != pagingData.current_page" (click)="setCurrentPage(item)">{{item}}</a>
        <a *ngIf="item == pagingData.current_page">{{item}}</a>
    </li>

    <li *ngIf="pagingData.current_page < pagingData.total_pages">
        <a (click)="setCurrentPage(pagingData.current_page + 1)"><i class="fa fa-angle-double-right"></i></a>
    </li>
    <li *ngIf="(pagingData.current_page + pagingData.numLinks) < pagingData.total_pages">
        <a (click)="setCurrentPage(pagingData.total_pages)"><i class="fa fa-step-forward"></i> </a>
    </li>
</ul>
